MarinerWrtTextInternal::Font Struct Reference

Internal: struct used to store the font of a MarinerWrtText. More...

## Public Member Functions

| Font ()
| constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_localId
| the local id
long | m_tokenId
| the token id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: struct used to store the font of a MarinerWrtText.

## Constructor & Destructor Documentation

## Font()

MarinerWrtTextInternal::Font::Font | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_extra

std::string MarinerWrtTextInternal::Font::m_extra

extra data

Referenced by Font(), operator<<, and MarinerWrtText::readFonts().

## m_font

MWAWFont MarinerWrtTextInternal::Font::m_font

the font

Referenced by Font(), MarinerWrtTextInternal::Zone::getFont(), MarinerWrtText::readFonts(), and MarinerWrtText::send().

## m_localId

int MarinerWrtTextInternal::Font::m_localId

the local id

Referenced by Font(), MarinerWrtTextInternal::Zone::getFont(), operator<<, and MarinerWrtText::readFonts().

## m_tokenId

long MarinerWrtTextInternal::Font::m_tokenId

the token id

Referenced by Font(), operator<<, MarinerWrtText::readFonts(), and MarinerWrtText::send().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx